/* /Components/ImageButton.razor.rz.scp.css */
.accept[b-lvi21697j6] {
    background: url(../images/accept_button.png);
}

    .accept:hover[b-lvi21697j6] {
        background: url(../images/accept_button_glow.png);
    }

    .accept:disabled[b-lvi21697j6] {
        background: url(../images/accept_button.png);
    }

        .accept:disabled:hover[b-lvi21697j6] {
            background: url(../images/accept_button.png);
        }

    .accept:active[b-lvi21697j6] {
        background: url(../images/accept_button_selected.png);
    }

.apple[b-lvi21697j6] {
    background: url(../images/apple_button.png);
}

    .apple:hover[b-lvi21697j6] {
        background: url(../images/apple_button_glow.png);
    }

    .apple:disabled[b-lvi21697j6] {
        background: url(../images/apple_button.png);
    }

        .apple:disabled:hover[b-lvi21697j6] {
            background: url(../images/apple_button.png);
        }

    .apple:active[b-lvi21697j6] {
        background: url(../images/apple_button_selected.png);
    }

.edit[b-lvi21697j6] {
    background: url(../images/edit-button.png);
}

    .edit:hover[b-lvi21697j6] {
        background: url(../images/edit-button_glow.png);
    }

    .edit:disabled[b-lvi21697j6] {
        background: url(../images/edit-button.png);
    }

        .edit:disabled:hover[b-lvi21697j6] {
            background: url(../images/edit-button.png);
        }

    .edit:active[b-lvi21697j6] {
        background: url(../images/edit-button_selected.png);
    }

.editor[b-lvi21697j6] {
    background: url(../images/editor_button.png);
}

    .editor:hover[b-lvi21697j6] {
        background: url(../images/editor_button_glow.png);
    }

    .editor:disabled[b-lvi21697j6] {
        background: url(../images/editor_button.png);
    }

        .editor:disabled:hover[b-lvi21697j6] {
            background: url(../images/editor_button.png);
        }

    .editor:active[b-lvi21697j6] {
        background: url(../images/editor_button_selected.png);
    }

.button[b-lvi21697j6] {
    cursor: pointer;
    border: none;
    display: inline-block;
    background-size: 64px 64px;
    width: 64px;
    height: 64px
}

    .button:hover[b-lvi21697j6] {
        border: none;
        display: inline-block;
        background-size: 66px 66px;
        width: 66px;
        height: 66px
    }

    .button:disabled[b-lvi21697j6] {
        opacity: 0.4;
        cursor: default;
        border: none;
        display: inline-block;
        background-size: 64px 64px;
        width: 64px;
        height: 64px
    }

        .button:disabled:hover[b-lvi21697j6] {
            opacity: 0.4;
            cursor: default;
            border: none;
            display: inline-block;
            background-size: 64px 64px;
            width: 64px;
            height: 64px
        }

    .button:active[b-lvi21697j6] {
        cursor: pointer;
        border: none;
        display: inline-block;
        background-size: 64px 64px;
        width: 64px;
        height: 64px
    }
/* /Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-gntnl3hxan] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-gntnl3hxan] {
    flex: 1;
}

.sidebar[b-gntnl3hxan] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-gntnl3hxan] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-gntnl3hxan]  a, .top-row[b-gntnl3hxan]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-gntnl3hxan]  a:hover, .top-row[b-gntnl3hxan]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-gntnl3hxan]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-gntnl3hxan] {
        justify-content: space-between;
    }

    .top-row[b-gntnl3hxan]  a, .top-row[b-gntnl3hxan]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-gntnl3hxan] {
        flex-direction: row;
    }

    .sidebar[b-gntnl3hxan] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-gntnl3hxan] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-gntnl3hxan]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-gntnl3hxan], article[b-gntnl3hxan] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-gntnl3hxan] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-gntnl3hxan] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Spinner.razor.rz.scp.css */
@keyframes spinner-b-0abfv2inq6 {
    0% {
        transform: translate3d(-50%, -50%, 0) rotate(0deg);
    }

    100% {
        transform: translate3d(-50%, -50%, 0) rotate(360deg);
    }
}

.spin[b-0abfv2inq6]::before {
    animation: 2s linear infinite spinner-b-0abfv2inq6;
    animation-play-state: inherit;
    border: solid 5px rgba(128,128,128,0.6);
    border-bottom-color: rgba(255,255,255,0.6);
    border-radius: 50%;
    content: "";
    height: 80px;
    width: 80px;
    left: 80px;
    bottom: 400px;
    position: absolute;
    z-index: 1001;
    transform: translate3d(-50%, -50%, 0);
}


